GET /v1/zhihu/web/fetch_article_search_v3
Get Zhihu Article Search V3
stable · 2 credits per success
Get Zhihu Article Search V3;keyword: Search Keywords;offset: Offset;limit: Number of articles per page;show_all_topics: Show all topics;- 0 Do not show topics;- 1 Show topics;search_source: Search Source;- Filter parameter takes effect;- Normal is normal result;search_hash_id: Search Hash ID, used to filter duplicate search results;vertical: Empty unlimited type;- answer only see answers;- articl…
Request parameters
| Name | Type | In | Required | Description | Example |
|---|---|---|---|---|---|
| sort | string | query | no | 排序 | demo |
| limit | string | query | no | 每页文章数量 | 20 |
| offset | string | query | no | 偏移量 | 0 |
| keyword | string | query | yes | 搜索关键词 | deepseek |
| vertical | string | query | no | 垂类 | demo |
| search_source | string | query | no | 搜索来源 | Normal |
| time_interval | string | query | no | 时间间隔 | demo |
| vertical_info | string | query | no | 垂类信息 | demo |
| search_hash_id | string | query | no | 搜索哈希ID | demo |
| show_all_topics | integer | query | no | 显示所有主题 | 0 |
Response fields
Field dictionary coming soon — the executable panel shows the live shape.
Errors
| code | HTTP | Meaning | Billed |
|---|---|---|---|
| 40001 | 400 | Invalid parameters | no |
| 40102 | 401 | Invalid or revoked API Key | no |
| 40201 | 402 | Insufficient credits | no |
| 40402 | 404 | Resource not found | no |
| 42201 | 422 | Quality gate failed | no |
| 42901 | 429 | Rate limit exceeded | no |
| 50401 | 504 | Upstream timeout | no |
| 50201 | 502 | Upstream error | no |
Billing
Success costs 2 credits. Any failure — including a 200 that fails the quality gate — costs 0.